Package org.apache.tiles.velocity.template

# Class GetAsStringDirective

java.lang.Object
org.apache.velocity.runtime.directive.Directive
org.apache.tiles.velocity.template.GetAsStringDirective

All Implemented Interfaces:
  `Cloneable`, `org.apache.velocity.runtime.directive.DirectiveConstants`

public class GetAsStringDirective extends org.apache.velocity.runtime.directive.Directive

Render the value of the specified template attribute to the current Writer

Retrieve the value of the specified template attribute property, and render it to the current Writer as a String. The usual toString() conversions is applied on found value.

- ## Field Summary

  ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

  `log, rsvc`

  ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

  `BLOCK, LINE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAsStringDirective()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `int`
  `getType()`
  `boolean`
  `render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node)`

  ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

  `checkArgs, getColumn, getLine, getScopeName, getTemplate, getTemplateName, init, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetAsStringDirective

    public GetAsStringDirective()

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in class `org.apache.velocity.runtime.directive.Directive`

  - ### getType

    public int getType()
    Specified by:
      `getType` in class `org.apache.velocity.runtime.directive.Directive`

  - ### render

    public boolean render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node) throws IOException
    Specified by:
      `render` in class `org.apache.velocity.runtime.directive.Directive`
    Throws:
      `IOException`